PCI_ENABLE_WAKE(9)

NAME
pci_enable_wake - enable device to generate PME# when suspended

SYNOPSIS

int pci_enable_wake (struct pci_dev * dev, pci_power_t state, int enable);

ARGUMENTS

dev - PCI device to operate on

state
    - Current state of device.

enable
    - Flag to enable or disable generation

DESCRIPTION

Set the bits in the device's PM Capabilities to generate PME# when the system is suspended.

-EIO is returned if device doesn't have PM Capabilities. -EINVAL is returned if device supports it, but can't generate wake events. 0 if operation is successful.